package model

import (
	"gorm.io/gorm"
	"time"
)

// 用来自动导入 来创建用户和订单的 数据
type FieePaymentAuto struct {
	gorm.Model
	UserNum               string    `json:"userNum" gorm:"column:user_num;type:varchar(64);comment:用户编号"`
	UserName              string    `json:"userName" gorm:"column:user_name;type:varchar(128);comment:用户姓名"`
	UserTelArea           string    `json:"userTelArea" gorm:"column:user_tel_area;type:varchar(32);comment:用户手机号区号"`
	UserTel               string    `json:"userTel" gorm:"column:user_tel;type:varchar(32);comment:用户手机号"`
	UserSex               string    `json:"userSex" gorm:"column:user_sex;type:varchar(16);comment:用户性别"`
	Nationality           string    `json:"nationality" gorm:"column:nationality;type:varchar(128);comment:国籍"`
	PlaceOfResidence      string    `json:"placeOfResidence" gorm:"column:place_of_residence;type:varchar(512);comment:用户居住地"`
	DocumentType          int       `json:"documentType" gorm:"column:document_type;type:varchar(512);comment:证件类型:1护照 2身份证 3驾驶证 4居住证 5自拍照 6社保卡"`
	UserIdCardFrontUrl    string    `json:"userIdCardFrontUrl" gorm:"column:user_id_card_front_url;type:varchar(1024);comment:用户身份证正面"`
	UserIdCardReverseUrl  string    `json:"userIdCardReverseUrl" gorm:"column:user_id_card_reverse_url;type:varchar(1024);comment:用户身份证反面"`
	UserIdCardValidity    string    `json:"userIdCardValidity" gorm:"column:user_id_card_validity;type:varchar(64);comment:证件有效期"`
	OrderNo               string    `json:"orderNo" gorm:"column:order_no;type:varchar(128);comment:订单编号"`
	OrderPayAmount        string    `gorm:"column:order_pay_amount;type:decimal(20,2);comment:订单支付金额" json:"orderPayAmount"`
	OrderSettlementAmount string    `gorm:"column:order_settlement_amount;type:decimal(20,2);comment:订单结算金额" json:"orderSettlementAmount"`
	OrderFeeAmount        string    `gorm:"column:order_fee_amount;type:decimal(20,2);comment:订单手续费金额" json:"orderFeeAmount"`
	OrderPayCurrency      string    `json:"orderPayCurrency" gorm:"column:order_pay_currency;type:varchar(16);comment:支付时的币种：cny人民币，usd美元"`
	OrderAccountCurrency  string    `json:"orderAccountCurrency" gorm:"column:order_account_currency;type:varchar(16);comment:账户上的币种: 暂时固定usd美元"`
	PayTime               time.Time `gorm:"column:pay_time;type:datetime;default:null;comment:支付成功时间" json:"payTime"`
}
